<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RImeEnrolledPatternGroup StructType
 * @subpackage Structs
 */
class RImeEnrolledPatternGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The fallbackProfileName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $fallbackProfileName;
    /**
     * The isPatternAllAlias
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isPatternAllAlias;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RImeEnrolledPatternGroup
     * @uses RImeEnrolledPatternGroup::setName()
     * @uses RImeEnrolledPatternGroup::setDescription()
     * @uses RImeEnrolledPatternGroup::setFallbackProfileName()
     * @uses RImeEnrolledPatternGroup::setIsPatternAllAlias()
     * @uses RImeEnrolledPatternGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $fallbackProfileName
     * @param string $isPatternAllAlias
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $fallbackProfileName = null, $isPatternAllAlias = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setFallbackProfileName($fallbackProfileName)
            ->setIsPatternAllAlias($isPatternAllAlias)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeEnrolledPatternGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeEnrolledPatternGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get fallbackProfileName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getFallbackProfileName()
    {
        return $this->fallbackProfileName;
    }
    /**
     * Set fallbackProfileName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $fallbackProfileName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeEnrolledPatternGroup
     */
    public function setFallbackProfileName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $fallbackProfileName = null)
    {
        $this->fallbackProfileName = $fallbackProfileName;
        return $this;
    }
    /**
     * Get isPatternAllAlias value
     * @return string|null
     */
    public function getIsPatternAllAlias()
    {
        return $this->isPatternAllAlias;
    }
    /**
     * Set isPatternAllAlias value
     * @param string $isPatternAllAlias
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeEnrolledPatternGroup
     */
    public function setIsPatternAllAlias($isPatternAllAlias = null)
    {
        $this->isPatternAllAlias = $isPatternAllAlias;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeEnrolledPatternGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
